function verifyDiskSpace(dirPath, spaceRequired)
{
 var spaceAvailable;
 spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
 spaceAvailable = parseInt(spaceAvailable / 1024);
 if(spaceAvailable < spaceRequired)
 {
 logComment("Insufficient disk space: " + dirPath);
 logComment("  required : " + spaceRequired + " K");
 logComment("  available: " + spaceAvailable + " K");
 return(false);
 }
 return(true);
}
var srDest = 262;
var err;
var fProgram;
var prettyName = "Deutsch (&#214;sterreich)";
var regName    = "locales/mozilla/de-AT";
var chromeName = "de-AT.jar";
err = initInstall(prettyName, regName, "5.0.0.0000000000");
logComment("initInstall: " + err);
fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);
if (verifyDiskSpace(fProgram, srDest))
{
 err = addDirectory("",
 "5.0.0.0000000000",
 "bin",
 fProgram,
 "",
 true);
 logComment("addDirectory() returned: " + err);
 var cf = getFolder("Chrome");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/de-AT/communicator/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/de-AT/editor/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/de-AT/global/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/de-AT/messenger/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/de-AT/navigator/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/de-AT/necko/");
 if (err == SUCCESS)
 {
 err = performInstall();
 logComment("performInstall() returned: " + err);
 alert("Installation finished. After a browser restart, you can now select to use this locale via the View menu.");
 }
 else
 {
 cancelInstall(err);
 logComment("cancelInstall due to error: " + err);
 alert("Installation canceled. Error code was " + err);
 }
}
else
 cancelInstall(INSUFFICIENT_DISK_SPACE);
